## Graph-Maker-Other-16.tar.gz

=== web/Makefile ===
# Copyright 2020 Kevin Ryde

# This file is part of Graph-Maker-Other.
#
# Graph-Maker-Other is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any later
# version.
#
# Graph-Maker-Other is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Graph-Maker-Other.  If not, see <http://www.gnu.org/licenses/>.


all pdf: MostMaximumMatchingsTree-samples.pdf

MostMaximumMatchingsTree-samples.pdf: MostMaximumMatchingsTree-samples.tex
	latexmk -pdf MostMaximumMatchingsTree-samples.tex
	qpdf --linearize \
	  --stream-data=compress \
	  --compress-streams=y \
	  --compression-level=9 \
	  MostMaximumMatchingsTree-samples.pdf tempfile-qpdf.pdf
	mv tempfile-qpdf.pdf MostMaximumMatchingsTree-samples.pdf 
	qpdf --check MostMaximumMatchingsTree-samples.pdf
	if grep 'Missing character' MostMaximumMatchingsTree-samples.log; then exit 1; fi
	ls -l MostMaximumMatchingsTree-samples.pdf

check test:
	../../shared/my-check-tex.pl MostMaximumMatchingsTree-samples.tex
	../../dragon/tools/test-gen-output.pl MostMaximumMatchingsTree-samples.tex

clean:
	rm -f *.png
	rm -f *.s6
	rm -f MostMaximumMatchingsTree-samples.aux
	rm -f MostMaximumMatchingsTree-samples.fdb_latexmk
	rm -f MostMaximumMatchingsTree-samples.fls
	rm -f MostMaximumMatchingsTree-samples.log
	rm -f MostMaximumMatchingsTree-samples.out
	rm -f MostMaximumMatchingsTree-samples.pdf
	rm -rf _whizzy_MostMaximumMatchingsTree-samples_d

#------------------------------------------------------------------------------
.PHONY: all check clean test

=== debian/changelog ===
libgraph-maker-other-perl (16-0.1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42_kevin@yahoo.com.au>  Sat, 25 Jan 2020 16:18:31 +1100

=== debian/control ===
# Copyright 2015, 2016, 2017, 2018, 2019, 2020, 2021 Kevin Ryde

# This file is part of Graph-Maker-Other.

# Graph-Maker-Other is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# Graph-Maker-Other is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Graph-Maker-Other.  If not, see
# <http://www.gnu.org/licenses/>.


Source: libgraph-maker-other-perl
Section: perl
Priority: optional
Build-Depends: cdbs, debhelper (>= 5)
Maintainer: Kevin Ryde <user42_kevin@yahoo.com.au>
Standards-Version: 4.2.1
Homepage: http://user42.tuxfamily.org/graph-maker-other/index.html
Bugs: mailto:user42_kevin@yahoo.com.au

Package: libgraph-maker-other-perl
Architecture: all
Depends: libgraph-perl, libgraph-maker-perl, perl (>= 5.004), ${perl:Depends}, ${misc:Depends}
Description: Create Graph.pm graphs of various kinds
 Graph types include: Beineke, BinaryBeanstalk, BinomialTree,
 BinomialBoth, BiStar, BulgarianSolitaire, Catalans, Circulant, Crown,
 ExcessConfigurations, FibonacciTree, GosperIsland, Hanoi,
 HanoiExchange, HexGrid, Johnson, Keller, Kneser, KnightGrid,
 MostMaximumMatchingsTree, NoughtsAndCrosses, Petersen (and
 generalized), QuartetTree, RookGrid, TwinAlternateAreaTree,
 TwindragonAreaTree.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2015 Kevin Ryde

# This file is part of Graph-Maker-Other.
#
# Graph-Maker-Other is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Graph-Maker-Other is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Graph-Maker-Other.  If not, see <http://www.gnu.org/licenses/>.


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
